from django.conf.urls.defaults import *
from settings import MEDIA_ROOT, MEDIA_URL
from blog.feeds import LatestBlogEntries, LatestBlogEntriesRss
from django.contrib import admin

handler404 = 'generic.views.render_404'

feeds_dict = {
    'blog': LatestBlogEntries,
    }

rssfeeds_dict = {
    'blog': LatestBlogEntriesRss,
    }

admin.autodiscover()

urlpatterns = patterns('',
    # Example:
    # (r'^sommitrealweird/', include('sommitrealweird.foo.urls')),

    # Uncomment this for admin:
    (r'^$', 'bpcms.views.document_view', {'slug': 'index'}),
    (r'^media/(?P<path>.*)$', 'django.views.static.serve', {'document_root': MEDIA_ROOT, 'show_indexes': True}),
    (r'^admin/', include(admin.site.urls)),
    (r'^blog/', include('blog.urls')),
    (r'^photo/', include('photo.urls')),
    (r'^photos/', include('photo.urls')),
    (r'^css-doc/(?P<slug>.*)$', 'bpcms.views.css_view'),
    (r'^feeds/rss/blog/', LatestBlogEntriesRss()),
    (r'^feeds/blog/', LatestBlogEntries()),
    (r'^comments/', include('django.contrib.comments.urls')),
    (r'^(?:content/|)', include('bpcms.urls'))
)
